Retrieve Account NFTs

Gets all NFTs currently owned by a given address on Sui Network.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Sui Mainnet.

🚧

The Account NFTs API on Sui is currently exclusively available to Pro Members. Non-Pro members can also enjoy a trial period with an allocation of 30 free calls. If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • account, string- a 32 Byte address with '0x' as prefix. The address to search for the nft holdings.
  • type, string- optional, 'kiosk', returns the kiosk NFTs held by the account. By default, non-kiosk NFTs are returned.
  • objectType, string - the object type for the collection to get the NFT list.
  • pageIndex,integer- optional. The index of the page to retrieve. The first page is typically indexed as 1, and subsequent pages are numbered incrementally.
  • pageSize,integer- optional. The number of records showing on each page. 20 by default and up to 50.

Response

Object - a returned object with NFT item, next page index and total number of NFTs. Contains:

  • data, array - an array of NFT item objects, or an empty array if there are no items.
    • objectId, string - the Object ID for the NFT.
    • name, string - the name of the NFT returned from its metadata.
    • image, string - the image url of the NFT returned from its metadata.
    • description, integer - the description of the NFT returned from its metadata..
    • collection, string - the Object Type or Collection Type for the NFT. (e.g., the Collection Type of the SuiFrens:Capy is 0xee496a0cc04d06a345982ba6697c90c619020de9e274408c7819f787ff66e1a1::suifrens::SuiFren<0xee496a0cc04d06a345982ba6697c90c619020de9e274408c7819f787ff66e1a1::capy::Capy>)
    • lastPrice, boolean - the last sale price of the NFT on the marketplace, measured in MIST.
    • kioskId, string - the object id of the kiosk where the NFT is stored. If it's non-Kiosk, it returns empty.
  • nextPageIndex, integer - the index of the next page to retrieve. Current page index will be returned if there are no more pages.
  • total, integer - total number of NFTs currently owned by the address.
Query Params
string
required
Defaults to 0xe335d84c489084474aac4322fb9ac5173369d27487c404558e99c7c5ec608075

Query by sui address

string
Defaults to kiosk

Optional value 'kiosk', returns the kiosk NFTs held by the account. By default, non-kiosk NFTs are returned.

int32
Defaults to 1

The index of the page to retrieve. The first page is typically indexed as 1, and subsequent pages are numbered incrementally.

int32
Defaults to 20

The number of records showing on each page. 20 by default and up to 50.

string

The objectType of NFT collection.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json